// Copyright 2022 anoweb Author. All Rights Reserved.
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//      http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package mime

const (
	// TEXT MIME
	TEXT = "text/plain;charset=utf-8"
	// HTML MIME
	HTML = "text/html;charset=utf-8"
	// JS MIME
	JS = "text/javascript;charset=utf-8"
	// CSS  MIME
	CSS = "text/css;charset=utf-8"
	// JSON MIME
	JSON = "application/json;charset=utf-8"
	// XML  MIME
	XML = "application/xml;charset=utf-8"

	// BMP  MIME
	BMP = "image/bmp"
	// JPG  MIME
	JPG = "image/jpg"
	// PNG  MIME
	PNG = "image/png"
	// GIF  MIME
	GIF = "image/gif"
	// ICO  MIME
	ICO = "image/ico"

	// ZIP  MIME
	ZIP = "application/zip"
	// TAR  MIME
	TAR = "application/x-tar"
	// GZIP MIME
	GZIP = "application/x-gzip"
	// TGZ  MIME
	TGZ = "application/x-tgz"
	// RAR  MIME
	RAR = "application/x-rar-compressed"
	// ZIP7 MIME
	ZIP7 = "application/x-7z-compressed"

	// XLS  MIME
	XLS = "application/vnd.ms-excel"
	// XLSX MIME
	XLSX = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
	// DOC  MIME
	DOC = "application/msword"
	// DOCX MIME
	DOCX = "application/vnd.openxmlformats-officedocument.wordprocessingml.document"
	// PPT  MIME
	PPT = "application/vnd.ms-powerpoint"
	// PPTX MIME
	PPTX = "application/vnd.openxmlformats-officedocument.presentationml.presentation"

	// BINARY MIME
	BINARY = "application/octet-stream"
)
